%% description of the data
% rdtc: cell name
% spk: spike times in seconds
% spkb: binned spike times by position timestamp
% pos: [ts, x, y, bearing]
%      ts: timestamp in seconds, 
%      x,y: spatial coordinates,
%      bearing: head direction/egocentric bearing in radian [0, 2*pi)
% tv: tuning curve; [bearing_boundary, firing_rate]. 
% ebearing: egocentric bearing, [ts, bearing_boundary]
% dBIC: delta BIC. Defined as (ego - allo)/(ego + allo)

%% add path
% for the folder contain the current file as well as the subfolder
% 'zernike'.

%% run the analysis
clc; clear; 
load 'exam-data.mat'

% parameters, 5 pairs of sines and cosines for bearing components.
nh = 5;
[minBIC_hdr] = get_space_bearing_glmfit_BIC(pos, spkb, nh);

% change the 4th column to egocentric bearing (of the boundary)
pos(:, 4) = ebearing(:, 2);
[minBIC_ego] = get_space_bearing_glmfit_BIC(pos, spkb, nh);

dBIC_output = (minBIC_ego - minBIC_hdr)/(minBIC_ego + minBIC_hdr);
% dBIC_output should be equal to dBIC
